package com.lowes.tcl.api.pem;



/**
* short summary of the class
* <p>
* full class description
* <p>prj_nbr
* Created: Jul 24, 2007
* 
* @author <a href="mailto:">Rmaruru</a>
*/
public interface PemApiConstants {
	
    public static final String PEM_API_DATE_FORMAT = "yyyyMMdd";
    public static final String PEM_API_TIME_FORMAT = "kk:mm:ss";
	
	public static final String PEM_PARAM_ACTION = "ACTION";
    public static final String PEM_TOK_SEPARATOR = ";"; 

	//PEM API return codes
	public static final int PEM_RETCODE_OK = 0; 

	//RUN_QUERY module
	public static final String PEM_MODULE_RUN_QUERY = "RUN_QUERY";
	public static final String PEM_RUN_QUERY_PARAM_1 = "QUERY";

	//GET_STK_IVO_DTL module
	public static final String PEM_MODULE_GET_STK_IVO = "GET_STK_IVO_DTL";
	public static final String PEM_GET_STK_IVO_DTL_PARAM_1 = "IVO_NBR";
	public static final String PEM_GET_STK_IVO_DTL_PARAM_2 = "IVO_DATE";
	public static final String PEM_GET_STK_IVO_DTL_PARAM_3 = "IVO_SUBTOT";

	//GET_AUTOFAX_ENABLED module
	public static final String GET_AUTOFAX_ENABLED = "GET_AUTOFAX_ENABLED";
	
	//Installed Sales Review types 
	public static final int SRCH_BY_DF_NOT_SCHED 			= 1;
	public static final int SRCH_BY_DF_NOT_COMPL 			= 2;
	public static final int SRCH_BY_DF_WITHOUT_EST 			= 3;
	public static final int SRCH_BY_INS_INTRO_NOT_COMPL 	= 4;
	public static final int SRCH_BY_INS_NOTIFY_AT_RCV 		= 5;
	public static final int SRCH_BY_PRODUCT_PKU_DATE 		= 6;
	public static final int SRCH_BY_NOTIFIED_NOT_SCHED 		= 7;
	public static final int SRCH_BY_BEGIN_INSTALL_DATE 		= 8;
	public static final int SRCH_BY_EST_COMPLETION_DATE 	= 9;
	public static final int SRCH_BY_SCHED_NOT_INSTALLED 	= 10;
	public static final int SRCH_BY_CUS_INTRO_NOT_COMPL 	= 11;
	public static final int SRCH_BY_CUS_VERIFY_NOT_COMPL 	= 12;
	public static final int SRCH_BY_CUS_CONFIRM_NOT_COMPL 	= 13;
	public static final int SRCH_BY_COMPLETED_NOT_PAID 		= 14;

	//Installer Payment Types 
	public static final int IVO_SRCH_EXCEPTION 			= 0;
	public static final int IVO_SRCH_PENDING 			= 1;

	//PemApi orders types
	public static final int ESTIMATE_ORD_TYP = 0;
	public static final int PRODUCT_ORD_TYP = 1;	
	
}
