package com.lowes.tcl.api.pem.model;

import java.io.Serializable;

/**
 * Represents an vbu in the CAD System.
 * <p>
 * full class description
 * <p>
 * Created: Aug 14, 2007
 * 
 * @author <a href="mailto:">Rmaruru </a>
 */
public class Vbu implements Serializable {
    
    private int vbuNumber;
    private String vbuName;
    
    
    /**
     * Returns a string that "textually represents" this object.
     * <p>
     * Specifically a string is returned that contains all of the instance
     * variable names and values. The value is derived using the instance
     * variable's toString() method.
     * <p>
     * An example of the exact format: <code>[[i=0][animal=cat]]</code>
     * <p>
     * 
     * @return A String representation of this instance.
     * @see java.lang.Object#toString()
     */
	public String toString() {
		return
			"[" +
			"[vbuNumber=" + vbuNumber + "]" +
			"[vbuName=" + vbuName + "]" +
			"]";
	}
    
    /**
     * @return Returns the vbuName.
     */
    public String getVbuName() {
        return vbuName;
    }
    /**
     * @param vbuName The vbuName to set.
     */
    public void setVbuName(String vbuName) {
        this.vbuName = vbuName;
    }

	public int getVbuNumber() {
		return vbuNumber;
	}

	public void setVbuNumber(int vbuNumber) {
		this.vbuNumber = vbuNumber;
	}
}
